Bug 591313 - plug-ins can't use slapi_modify_internal_set_pb() on read-only replica
Summary: plug-ins can't use slapi_modify_internal_set_pb() on read-only replica
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Server   
(Show other bugs)
Version: 1.2.7
Hardware: All All
medium
medium
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 389_1.2.7 590062 639035
TreeView+ depends on / blocked
 
Reported: 2010-05-11 20:51 UTC by Ulf Weltman
Modified: 2015-12-07 17:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 17:18:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch proposal (2.51 KB, patch)
2010-05-11 20:54 UTC, Ulf Weltman
no flags Details | Diff

Description Ulf Weltman 2010-05-11 20:51:36 UTC
It would be handy if plug-ins were able to perform internal updates on read-only updates, for example to maintain local state in users.  Password policy cheats by being hardcoded to be allowed to write for example passwordretryCount to entries when they fail authentication.

Comment 1 Ulf Weltman 2010-05-11 20:54:38 UTC
Created attachment 413259 [details]
patch proposal

Adds SLAPI_OP_FLAG_BYPASS_REFERRALS flag to tell the mapping tree code to allow updates on "refer-on-update" backend.

Comment 2 Rich Megginson 2010-10-04 15:34:19 UTC
commit 32e2b04dd1d98d96d90fdfaa3841524b3003dcdb
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Fri Sep 17 08:18:29 2010 -0600

    add the account policy plugin and related server code, schema, and config

Comment 4 Amita Sharma 2011-06-13 11:37:38 UTC
Do I need to test the values of the plugin attributes should get modified on the read only replicas? Please confirm with the steps.

Comment 5 Rich Megginson 2011-06-13 20:16:08 UTC
I think you would have to set up replication with a master and a read-only replica and attempt to use account policy on the read-only replica.

Comment 6 Amita Sharma 2011-09-14 10:04:53 UTC
I am able to set password policy on a read only replica successfully.
Hence marking this as VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.